## gaupol-1.15-3.src.tar.gz

=== Makefile ===
# -*- coding: utf-8-unix -*-

# EDITOR must wait!
EDITOR = nano

check:
	flake8 bin/gaupol
	flake8 aeidon
	flake8 gaupol
	flake8 data/extensions/*/*.py
	flake8 *.py

clean:
	./setup.py clean

install:
	./setup.py install

publish-aeidon:
	$(MAKE) check test clean
	./setup-aeidon.py sdist bdist_wheel
	test -s dist/aeidon-*-py3-none-any.whl
	test -s dist/aeidon-*.tar.gz
	ls -l dist
	printf "Press Enter to upload or Ctrl+C to abort: "; read _
	twine upload dist/*
	sudo pip3 uninstall -y aeidon || true
	sudo pip3 uninstall -y aeidon || true
	sudo pip3 install -U aeidon
	cd && python3 -c "import aeidon; print(aeidon.__file__, aeidon.__version__)"

# Interactive!
release:
	$(MAKE) check test clean
	@echo "BUMP VERSION NUMBERS"
	$(EDITOR) aeidon/__init__.py
	$(EDITOR) gaupol/__init__.py
	$(EDITOR) data/extensions/*/*.in
	@echo "ADD RELEASE NOTES"
	$(EDITOR) NEWS.md
	$(EDITOR) data/io.otsaloma.gaupol.appdata.xml.in
	appstream-util validate-relax --nonet data/io.otsaloma.gaupol.appdata.xml.in
	sudo ./setup.py install --prefix=/usr/local clean
	/usr/local/bin/gaupol
	tools/release
	@echo "REMEMBER TO make publish-aeidon"
	@echo "REMEMBER TO UPDATE FLATPAK"
	@echo "REMEMBER TO UPDATE WEBSITE"

test:
	py.test -xs aeidon gaupol data/extensions

# Interactive!
translations:
	tools/update-translations

warnings:
	python3 -Wd bin/gaupol

.PHONY: check clean install publish-aeidon release test translations warnings

=== PKGBUILD ===
# Maintainer: Evangelos Foutras <foutrelis@archlinux.org>
# Contributor: Ionut Biru <ibiru@archlinux.org>
# Contributor: Allan McRae <allan@archlinux.org>
# Contributor: FJ <joostef@gmail.com>
# Contributor: Sebastien Piccand <sebcactus gmail com>

pkgname=gaupol
pkgver=1.15
pkgrel=3
pkgdesc="Editor for text-based subtitles"
arch=('any')
url="https://otsaloma.io/gaupol/"
license=('GPL')
depends=('python-gobject' 'gtk3' 'gst-plugins-'{base,good,bad,ugly} 'gst-libav'
         'gst-plugin-gtk' 'gspell' 'iso-codes' 'python-charset-normalizer'
         'python-cairo' 'desktop-file-utils' 'hicolor-icon-theme')
makedepends=('python-build' 'python-installer' 'python-setuptools' 'python-wheel')
optdepends=('mpv: subtitle preview'
            'vlc: subtitle preview'
            'mplayer: subtitle preview')
source=($pkgname-$pkgver.tar.gz::https://github.com/otsaloma/$pkgname/archive/$pkgver.tar.gz
        fix-prefix-with-pep517.patch)
sha256sums=('4128aa01f2ed3ecbcf12676e99087351251a9f105c14567786b31e77ba9fbfd7'
            '5e4402fd683a24c1b8ddcb9226176d259215263a491265548547d787bd28052d')

prepare() {
  cd $pkgname-$pkgver
  patch -Np1 -i ../fix-prefix-with-pep517.patch
}

build() {
  cd $pkgname-$pkgver
  python -m build --wheel --no-isolation
}

package() {
  cd $pkgname-$pkgver
  python -m installer --destdir="$pkgdir" dist/*.whl
  # remove bundled iso-codes
  rm -r "$pkgdir/usr/share/gaupol/iso-codes"
}

# vim:set ts=2 sw=2 et:
